zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Han (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (ZOOKEEPER-2859) CMake build doesn't support OS X
Date Sun, 13 Aug 2017 05:23:00 GMT

     [ https://issues.apache.org/jira/browse/ZOOKEEPER-2859?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Michael Han resolved ZOOKEEPER-2859.
------------------------------------
       Resolution: Fixed
    Fix Version/s: 3.5.4
                   3.6.0
                   3.4.11

Issue resolved by pull request 319
[https://github.com/apache/zookeeper/pull/319]

> CMake build doesn't support OS X
> --------------------------------
>
>                 Key: ZOOKEEPER-2859
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2859
>             Project: ZooKeeper
>          Issue Type: Bug
>         Environment: OS X 10.12.6
>            Reporter: Andrew Schwartzmeyer
>            Assignee: Andrew Schwartzmeyer
>             Fix For: 3.4.11, 3.6.0, 3.5.4
>
>
> Couple problems:
> libm, librt, and libdl are all Linux specific, and provided "for free" on OS X
> CppUnit (at least on OS X) needs `-std=c++11`
> clang's ld doesn't understand --wrap
> I can post an easy patch that at least lets you build the client (but not the tests).
The tests use that `--wrap` and it's non trivial to fix that on OS X.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message